Skip to content
Docs

Portfolio Manager/Owned History V2

Download ownership history

GET/external/secure/api/v2/portfolio/download/owned/reports/history
Request
curl -X GET \
  "https://figure.com/external/secure/api/v2/portfolio/download/owned/reports/history" \
  -H "apikey: $FIGURE_API_KEY"

Query parameters

  • assetTypestring

    Asset type to query sale history for. Must provide originatorId if using

  • originatorIdstring<uuid>

    Originator id to query sale history for. Must provide assetType if using assetType query param

  • assetGroupstring

    Name of asset group to filter sale history with

  • reportDatestring<date>

    Cutoff date of requested ownership history

Headers

  • apikeystring

    Provided key used to access the application's api

Responses

200CSV of ownership history by asset type, group, and report date

Returns the file as text/plain.

Response

Returns the file itself (text/plain).